"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@heroku-cli/command");
const openUrl_1 = require("../../../lib/openUrl");
const baseCommand_1 = __importDefault(require("../../../lib/baseCommand"));
class Docs extends baseCommand_1.default {
    static defaultUrl = 'https://devcenter.heroku.com/categories/heroku-postgres';
    static description = 'Opens documentation for Heroku Postgres in your web browser.';
    static flags = {
        browser: command_1.flags.string({ description: 'browser to open docs with (example: "firefox", "safari")' }),
    };
    async run() {
        const { flags } = await this.parse(Docs);
        const browser = flags.browser;
        const url = Docs.defaultUrl;
        await (0, openUrl_1.openUrl)(url, browser, 'view the documentation');
    }
}
exports.default = Docs;
