import BaseCommand from '../../../lib/baseCommand';
/**
 * @description Returns human-readable relative time since the date. This code is inspired by ps.
 * @example
 * const date = new Date();
 * date.setHours(date.getHours() - 1);
 *
 * ago(date)
 *
 * // returns
 *
 * "(~ 1h ago)"
 */
export declare function ago(since: Date): string;
export default class Info extends BaseCommand {
    static description: string;
    static examples: string[];
    static args: {
        addon: import("@oclif/core/lib/interfaces/parser").Arg<string, Record<string, unknown>>;
    };
    static flags: {
        app: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    run(): Promise<void>;
}
