import BaseCommand from '../../../lib/baseCommand';
import { AddOn } from '@heroku-cli/schema';
export default class Scale extends BaseCommand {
    static description: string;
    static examples: string[];
    static args: {
        addon: import("@oclif/core/lib/interfaces/parser").Arg<string, Record<string, unknown>>;
    };
    static flags: {
        app: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        count: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        level: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        pool: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'high-availability': import("@oclif/core/lib/interfaces").BooleanFlag<boolean | undefined>;
        confirm: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    /**
     * Runs through interactive prompts to determine factors to scale
     */
    interactive({ addon }: {
        addon: AddOn;
    }): Promise<{
        pool: string;
        count: number | undefined;
        highAvailability: true | undefined;
        level: string;
        confirmed: boolean;
    }>;
    run(): Promise<void>;
}
