"use strict";
// Created from https://github.com/heroku/cli/blob/main/packages/cli/src/lib/addons/create_addon.ts with minor modifications.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = default_1;
const core_1 = require("@oclif/core");
const color_1 = __importDefault(require("@heroku-cli/color"));
const util = __importStar(require("./util"));
const addons_wait_1 = require("./addons_wait");
function formatConfigVarsMessage(addon) {
    const configVars = addon.config_vars || [];
    if (configVars.length > 0) {
        return `Created ${color_1.default.addon(addon.name || '')} as ${configVars.map((c) => color_1.default.configVar(c)).join(', ')}`;
    }
    return `Created ${color_1.default.addon(addon.name || '')}`;
}
async function default_1(heroku, app, plan, confirm, wait, options) {
    async function createAddonRequest(confirmed) {
        const body = {
            confirm: confirmed,
            name: options.name,
            config: options.config,
            plan: { name: plan },
            attachment: { name: options.as },
        };
        const { body: addon } = await heroku.post(`/apps/${app}/addons`, {
            body,
            headers: {
                'accept-expansion': 'plan',
                'x-heroku-legacy-provider-messages': 'true',
            },
        });
        return addon;
    }
    let addon = await util.trapConfirmationRequired(app, confirm, confirm => (createAddonRequest(confirm)));
    if (addon.provision_message) {
        core_1.ux.log(addon.provision_message);
    }
    if (addon.state === 'provisioning') {
        if (wait) {
            core_1.ux.log(`Waiting for ${color_1.default.addon(addon.name || '')}...`);
            addon = await (0, addons_wait_1.waitForAddonProvisioning)(heroku, addon, 5);
            core_1.ux.log(formatConfigVarsMessage(addon));
        }
        else {
            core_1.ux.log(`${color_1.default.addon(addon.name || '')} is being created in the background. The app will restart when complete...`);
            core_1.ux.log(`Use ${color_1.default.cmd('heroku data:pg:info ' + addon.name)} to check creation progress`);
        }
    }
    else if (addon.state === 'deprovisioned') {
        throw new Error(`The add-on was unable to be created, with status ${addon.state}`);
    }
    else {
        core_1.ux.log(formatConfigVarsMessage(addon));
    }
    return addon;
}
