"use strict";
// https://github.com/heroku/cli/blob/main/packages/cli/src/lib/addons/util.ts
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.performancePrivatePlan = exports.performancePgPlan = exports.trapConfirmationRequired = void 0;
const confirmCommand_1 = __importDefault(require("../confirmCommand"));
const trapConfirmationRequired = async function (app, confirm, fn) {
    return await fn(confirm)
        .catch((error) => {
        if (!error.body || error.body.id !== 'confirmation_required')
            throw error;
        return (0, confirmCommand_1.default)(app, confirm, error.body.message)
            .then(() => fn(app));
    });
};
exports.trapConfirmationRequired = trapConfirmationRequired;
const performancePgPlan = (addon) => Boolean(addon?.plan?.name?.split(':')[1].startsWith('performance') && addon?.plan?.name?.startsWith('heroku-postgresql'));
exports.performancePgPlan = performancePgPlan;
const performancePrivatePlan = function (addon) {
    const planSlug = addon?.plan?.name?.split(':')[1];
    return Boolean(planSlug?.startsWith('performance')
        && /(private|shield)/.test(planSlug)
        && addon?.plan?.name?.startsWith('heroku-postgresql'));
};
exports.performancePrivatePlan = performancePrivatePlan;
