"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@heroku-cli/command");
const fs_1 = require("fs");
const path_1 = require("path");
const packageJsonPath = (0, path_1.join)(__dirname, '../../package.json');
const packageJson = JSON.parse((0, fs_1.readFileSync)(packageJsonPath, 'utf-8'));
class default_1 extends command_1.Command {
    get dataApi() {
        const client = new command_1.APIClient(this.config);
        client.defaults.host = process.env.HEROKU_DATA_HOST || 'api.data.heroku.com';
        client.defaults.headers = {
            ...this.heroku.defaults.headers,
            'user-agent': `${packageJson.name}/${packageJson.version} ${this.config.platform}`,
        };
        if (process.env.HEROKU_DATA_CONTROL_PLANE) {
            client.defaults.headers["X-Data-Control-Plane"] = process.env.HEROKU_DATA_CONTROL_PLANE;
        }
        return client;
    }
}
exports.default = default_1;
