import type { AddOnAttachment } from '@heroku-cli/schema';
import { Server } from 'node:net';
import type { AddOnAttachmentWithConfigVarsAndPlan } from './types';
export declare const bastionKeyPlan: (addon: AddOnAttachmentWithConfigVarsAndPlan) => boolean;
export declare function getConfigVarName(configVars: string[], pool?: string): string;
export type ConnectionDetails = {
    user: string;
    password: string;
    database: string;
    host: string;
    port: string;
    pathname: string;
    url: string;
    bastionKey?: string;
    bastionHost?: string;
    _tunnel?: Server;
};
export type ConnectionDetailsWithAttachment = ConnectionDetails & {
    attachment: Required<AddOnAttachment & {
        addon: AddOnAttachmentWithConfigVarsAndPlan;
    }>;
    connStringVar: string;
};
export declare const getConnectionDetails: (attachment: Required<AddOnAttachment & {
    addon: AddOnAttachmentWithConfigVarsAndPlan;
}>, configVars?: Record<string, string>, pool?: string) => ConnectionDetailsWithAttachment;
export declare function getConfigVarNameFromAttachment(attachment: Required<AddOnAttachment & {
    addon: AddOnAttachmentWithConfigVarsAndPlan;
}>, config?: Record<string, string>, pool?: string): string;
export declare const parsePostgresConnectionString: (db: string) => ConnectionDetails;
