"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveAddon = resolveAddon;
/**
 * @description Resolves an addon based on addon name or env var. If passed an env var, app is required by the api.
 */
async function resolveAddon(heroku, addonNameOrEnvVar, app) {
    const { body: result } = await heroku.post('/actions/addons/resolve', {
        body: {
            app,
            addon: addonNameOrEnvVar,
        }
    });
    if (result.length > 1) {
        if (app === undefined) {
            throw new Error('Unable to determine addon, try including an app');
        }
        else {
            throw new Error('Unable to determine addon');
        }
    }
    return result[0];
}
