type Instance = {
    id: string;
    name: string;
    status: string;
    role: string;
    updated_at: string;
};
export type Pool = {
    name: string;
    level: string;
    count: number;
    status: string;
    attachment_name: string;
    instances: Array<Instance>;
};
export type InfoResponse = {
    addon_id: string;
    addon_name: string;
    app_name: string;
    version: string;
    attachment_name: string;
    highly_available: boolean;
    created_at: string;
    tier: 'performance';
    wait: boolean;
    status: string;
    pools: Array<Pool>;
    data: {
        used_message: string;
        compliance_message: string;
    };
    tables: {
        used_message: string;
        compliance_message: string;
    };
};
export type PostgresLevelsResponse = Array<{
    name: string;
}>;
type Change = {
    name: string;
    previous: string | number | boolean;
    current: string | number | boolean;
    pool: string;
};
export type ScaleResponse = {
    changes: Array<Change>;
};
export {};
