/**
 * @description Aligns columns in a 2d array of strings. Omits ANSI color code sequences from alignment calculations
 * @example
 *   const data = [
 *     ['Name', 'Age', 'Occupation'],
 *     ['Alice', '30', 'Software Engineer'],
 *     ['Bob', '22', 'Designer'],
 *     ['Carol', '45', 'Doctor'],
 *   ]
 *
 *   alignColumns(data)
 *
 *   // returns
 *
 *   [
 *     'Name  Age Occupation       ',
 *     'Alice 30  Software Engineer',
 *     'Bob   22  Designer         ',
 *     'Carol 45  Doctor           ',
 *   ]
 */
export declare const alignColumns: (arrays: string[][]) => string[];
